FailedOk

th/SRPMS[OK]
th/x32[OK]
th/i686[OK]
th/x86_64[OK]

ac/SRPMS[OK]
ac/i386[OK]
ac/i586[OK]
ac/i686[OK]
ac/alpha[OK]
ac/amd64[OK]
ac/athlon[OK]
ac/ppc[OK]
ac/sparc[OK]
ac/sparc64[OK]

Advanced Search
main()
Powered by PLD Linux
(c) 2002-2018 PLD Team
$Revision: 1.37 $
Powered by Multics.
Your IP: 54.92.160.119

rust 9e07e995-ca52-4288-aa23-ac5105a53e9d

Status:Failed
Source URL:ftp://buildlogs.pld-linux.org/th/x86_64/FAIL/rust,9e07e995-ca52-4288-aa23-ac5105a53e9d.bz2
text/plain URL:View!
rpm -qa of builder:View!
Date:2018/03/30 11:27:14
Runtime:0:00:00.159247

Toc:

  • error 1
  • rpm: error: Failed build dependencies:
  • error 2
  • rpm: error: Failed build dependencies:
  • error 3
  • error: Failed build dependencies:
  • error 4
  • error: No files produced.

Content:

request from: baggins
checking if we should skip the build
started at: Fri Mar 30 11:25:07 2018
killing old processes on a builder
mesg: ttyname failed: Inappropriate ioctl for device
sending signal 9 to pid -1
Killed
fetching https://srcbuilder.pld-linux.org/th//srpms/9e07e995-ca52-4288-aa23-ac5105a53e9d/rust-1.25.0-1.src.rpm
fetched 486193730 bytes, 4736.9 K/s
installing srpm: rust-1.25.0-1.src.rpm
mesg: ttyname failed: Inappropriate ioctl for device
+ install -d /tmp/B.l1JqsB/BUILD /tmp/B.l1JqsB/RPMS
+ LC_ALL=en_US.UTF-8
+ rpm -qp --changelog rust-1.25.0-1.src.rpm
* Fri Mar 30 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/rust.git;a=log;h=master
* Thu Mar 29 2018 Jan Palus <atler@pld-linux.org> 9ee62e7
- up to 1.25.0 (adds support for llvm 6) * Mon Nov 20 2017 Jan Rękorajski <baggins@pld-linux.org> 4f353db
- fixed install * Mon Nov 20 2017 Jan Rękorajski <baggins@pld-linux.org> d4b5156
- fixed build * Sun Nov 19 2017 Jan Rękorajski <baggins@pld-linux.org> 5ee06aa
- up to 1.21.0 * Sat Nov 18 2017 Jan Rękorajski <baggins@pld-linux.org> 74eb85a
- remove obsolete patch * Thu Nov 16 2017 Jan Rękorajski <baggins@pld-linux.org> 3391661
- up to 1.19.0 * Thu Jul 20 2017 Jakub Bogusz <qboosh@pld-linux.org> e8f1618
- pl, cleanup, verbose libs in system libdir * Mon Jul 10 2017 Jan Rękorajski <baggins@pld-linux.org> e746fa5
- Revert "rpm4 noarch", PLD uses rpm5 since 2012, stop adding this cruft * Sun Jul 02 2017 Elan Ruusamäe <glen@pld-linux.org> b19b9d5
- rpm4 noarch * Wed Jun 28 2017 Jan Rękorajski <baggins@pld-linux.org> c9b8e3e
- we don't have separate python-lldb, all is in lldb [ackage - rel 2 * Wed Jun 28 2017 Jan Rękorajski <baggins@pld-linux.org> 23edbd5
- rel 1 * Wed Jun 28 2017 Jan Rękorajski <baggins@pld-linux.org> ff5a5e0
- fix build deps * Tue Jun 27 2017 Jan Rękorajski <baggins@pld-linux.org> 18a1004
- ugly libdir hack * Tue Jun 27 2017 Jan Rękorajski <baggins@pld-linux.org> b5eceb5
- cleanup and debuginfo fix from fedora * Tue Jun 27 2017 Jan Rękorajski <baggins@pld-linux.org> ca7850a
- fix non-bootstrap prep * Tue Jun 27 2017 Jan Rękorajski <baggins@pld-linux.org> cace5bf
- rel 0.2, disable tests, they just don't work on builders * Tue Jun 27 2017 Jan Rękorajski <baggins@pld-linux.org> d36946a
- don't lie to ourselves that we support arm * Tue Jun 27 2017 Jan Rękorajski <baggins@pld-linux.org> 8a07321
- cleaned up macro hell a little bit * Tue Jun 27 2017 Jan Rękorajski <baggins@pld-linux.org> 19f9874
- disable so check for llvm lib * Mon Jun 26 2017 Jan Rękorajski <baggins@pld-linux.org> 0edb3b6
- dont generate deps for rust private libs - macro cleanup + rpm -Uhv --nodeps --define '_topdir /tmp/B.l1JqsB' --define '_specdir %{_topdir}' --define '_sourcedir %{_specdir}' --define '_rpmdir %{_topdir}/RPMS' --define '_builddir %{_topdir}/BUILD' rust-1.25.0-1.src.rpm Preparing... ################################################## rust ################################################## + rm -f rust-1.25.0-1.src.rpm mesg: ttyname failed: Inappropriate ioctl for device + install -m 700 -d /tmp/B.l1JqsB/BUILD/tmp mesg: ttyname failed: Inappropriate ioctl for device + TMPDIR=/tmp/B.l1JqsB/BUILD/tmp + exec nice -n 0 rpmbuild -bp --short-circuit --nodeps --define '_topdir /tmp/B.l1JqsB' --define '_specdir %{_topdir}' --define '_sourcedir %{_specdir}' --define '_rpmdir %{_topdir}/RPMS' --define '_builddir %{_topdir}/BUILD' --target x86_64-pld-linux --define 'prep exit 0' /tmp/B.l1JqsB/rust.spec Building target platforms: x86_64-pld-linux checking BuildConflict-ing packages no BuildConflicts found checking BR rpm: error: Failed build dependencies: rpm: rust >= 1.24.0 is needed by rust-1.25.0-1.src rpm: cargo >= 0.25.0 is needed by rust-1.25.0-1.src rpm: Building target platforms: x86_64-pld-linux updating poldek cache... ready is up to date Retrieving th::packages.ndir.md... th is up to date Retrieving th::packages.ndir.md... th is up to date Retrieving th-ready::packages.ndir.md... th-ready is up to date Retrieving th-ready::packages.ndir.md... th-ready is up to date Retrieving th-test::packages.ndir.md... Retrieving th-test::packages.ndir.diff.toc.gz... Retrieving diff::packages.ndir.2018.03.28-12.05.01.gz... ..............................done Retrieving diff::packages.ndir.dscr.2018.03.28-12.05.01.gz... Loading [pndir]th-test... Applying packages.ndir.2018.03.28-12.05.01.gz... Retrieving diff::packages.ndir.2018.03.28-14.20.02.gz... Retrieving diff::packages.ndir.dscr.2018.03.28-14.20.02.gz... Applying packages.ndir.2018.03.28-14.20.02.gz... Retrieving diff::packages.ndir.2018.03.28-20.31.02.gz... Applying packages.ndir.2018.03.28-20.31.02.gz... Retrieving diff::packages.ndir.2018.03.29-01.47.02.gz... ..............................done Retrieving diff::packages.ndir.dscr.2018.03.29-01.47.02.gz... Applying packages.ndir.2018.03.29-01.47.02.gz... Writing /root/.poldek-cache/[...]/packages.ndir.gz... Retrieving th-test::packages.ndir.md... Retrieving th-test::packages.ndir.diff.toc.gz... Retrieving diff::packages.ndir.2018.03.28-13.25.01.gz... ..............................done Retrieving diff::packages.ndir.dscr.2018.03.28-13.25.01.gz... Loading [pndir]th-test... Applying packages.ndir.2018.03.28-13.25.01.gz... Retrieving diff::packages.ndir.2018.03.28-14.04.01.gz... ..............................done Retrieving diff::packages.ndir.dscr.2018.03.28-14.04.01.gz... ..............................done Applying packages.ndir.2018.03.28-14.04.01.gz... Retrieving diff::packages.ndir.2018.03.28-14.20.02.gz... ..............................done Retrieving diff::packages.ndir.dscr.2018.03.28-14.20.02.gz... Applying packages.ndir.2018.03.28-14.20.02.gz... Retrieving diff::packages.ndir.2018.03.28-20.31.02.gz... ..............................done Retrieving diff::packages.ndir.dscr.2018.03.28-20.31.02.gz... Applying packages.ndir.2018.03.28-20.31.02.gz... Retrieving diff::packages.ndir.2018.03.28-20.35.01.gz... ..............................done Retrieving diff::packages.ndir.dscr.2018.03.28-20.35.01.gz... Applying packages.ndir.2018.03.28-20.35.01.gz... Retrieving diff::packages.ndir.2018.03.29-13.51.01.gz... ..............................done Retrieving diff::packages.ndir.dscr.2018.03.29-13.51.01.gz... ..............................done Applying packages.ndir.2018.03.29-13.51.01.gz... Writing /root/.poldek-cache/[...]/packages.ndir.gz... checking conflicting packages in BRed packages poldek: Loading [pndir]ready... poldek: Loading [pndir]th-test... poldek: Loading [pndir]th-test... poldek: Loading [pndir]th-ready... poldek: Loading [pndir]th-ready... poldek: Loading [pndir]th... poldek: Loading [pndir]th... poldek: 30004 packages read poldek: Removed 3320 duplicate packages from available set poldek: rust-1.21.0-1.x86_64: equal version installed, skipped poldek: cargo-0.23.0-1.x86_64: equal version installed, skipped poldek: Nothing to do no conflicts found checking BR rpm: error: Failed build dependencies: rpm: rust >= 1.24.0 is needed by rust-1.25.0-1.src rpm: cargo >= 0.25.0 is needed by rust-1.25.0-1.src rpm: Building target platforms: x86_64-pld-linux installing BR: cargo rust + poldek --noask --caplookup -Q -v '--ignore=hhvm-*' '--ignore=php4-*' '--ignore=php52-*' '--ignore=php54-*' '--ignore=php55-*' '--ignore=php56-*' '--ignore=php70-*' '--ignore=php71-*' '--ignore=php72-*' --upgrade cargo rust Loading [pndir]ready... Loading [pndir]th-test... Loading [pndir]th-test... Loading [pndir]th-ready... Loading [pndir]th-ready... Loading [pndir]th... Loading [pndir]th... 30004 packages read Removed 3320 duplicate packages from available set rust-1.21.0-1.x86_64: equal version installed, skipped cargo-0.23.0-1.x86_64: equal version installed, skipped Nothing to do building RPM using: set -ex; : build-id: 9e07e995-ca52-4288-aa23-ac5105a53e9d; TMPDIR=/tmp/B.l1JqsB/BUILD/tmp exec nice -n 0 rpmbuild -bb --define '_smp_mflags -j9' --define '_make_opts -Otarget' --define '_pld_builder 1' --define '_topdir /tmp/B.l1JqsB' --define '_specdir %{_topdir}' --define '_sourcedir %{_specdir}' --define '_rpmdir %{_topdir}/RPMS' --define '_builddir %{_topdir}/BUILD' --target x86_64-pld-linux /tmp/B.l1JqsB/rust.spec mesg: ttyname failed: Inappropriate ioctl for device + : build-id: 9e07e995-ca52-4288-aa23-ac5105a53e9d + TMPDIR=/tmp/B.l1JqsB/BUILD/tmp + exec nice -n 0 rpmbuild -bb --define '_smp_mflags -j9' --define '_make_opts -Otarget' --define '_pld_builder 1' --define '_topdir /tmp/B.l1JqsB' --define '_specdir %{_topdir}' --define '_sourcedir %{_specdir}' --define '_rpmdir %{_topdir}/RPMS' --define '_builddir %{_topdir}/BUILD' --target x86_64-pld-linux /tmp/B.l1JqsB/rust.spec error: Failed build dependencies: rust >= 1.24.0 is needed by rust-1.25.0-1.src cargo >= 0.25.0 is needed by rust-1.25.0-1.src Building target platforms: x86_64-pld-linux ended at: Fri Mar 30 11:27:11 2018, done in 0:00:00.159247 error: No files produced. mesg: ttyname failed: Inappropriate ioctl for device + chmod -R u+rwX /tmp/B.l1JqsB/BUILD + rm -rf /tmp/B.l1JqsB/tmp /tmp/B.l1JqsB/BUILD mesg: ttyname failed: Inappropriate ioctl for device + rm -rf /tmp/B.l1JqsB Begin-PLD-Builder-Info Build-Time: user:9.78s sys:2.68s real:127.19s (faults io:53 non-io:249634) End-PLD-Builder-Info
[Back to list of logs] [View rpm -qa of builder]